<?php
require('fpdf/fpdf.php');
define('FPDF_FONTPATH', 'fpdf/font/'); 
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);


//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$sessao = new sessao();
$controle=$sessao->getVar('controle');//esta variavel que que controlara se vai ser laudo basico,singenta,rondonopolis etc
$controle1=$sessao->getVar('controle1');
$tipoDoc=$sessao->getVar('controle3');
$cliente=$sessao->getVar('cliente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$idDoc=$sessao->getVar('transfere');

//echo("amostralong= $amostraLong  controle= $controle<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais

//AQUI DEFINE AS COLUNAS
//como funcionam estas colunas?
//a grade tetezazolio esta na classe calculo e tem 36 colunas fixas
//eu digo para o computador quais as colunas da grade  tetrazolio que eu quero no formato
//SE O CLIENTE QUISER ALGUMA COLUNA A MAIS EU VENHO AQUI E ACRESCENTO SO NO MODELO
$LI=10;//LI=LARGURA IGUAL  ONDE NAO FOR LI EU VOU LA E ESCRE O NUMERO
$cota2=30;
$cota8=200;

    $vetorIndice[1]=1;   $vetorLargura[1]=5;//amostra
    $vetorIndice[2]=1;   $vetorLargura[2]=20;//lote
    $vetorIndice[3]=39;   $vetorLargura[3]=52.8;//cultivar era largura=30
    $vetorIndice[4]=1;    $vetorLargura[4]=13.2;//
    $vetorIndice[5]=2;    $vetorLargura[5]=10.2;//
    $vetorIndice[6]=3;    $vetorLargura[6]=10;//
    $vetorIndice[7]=4;    $vetorLargura[7]=10.5;//
    $vetorIndice[8]=5;    $vetorLargura[8]=6.6;//
    $vetorIndice[9]=6;    $vetorLargura[9]=5.3;//
    $vetorIndice[10]=7;   $vetorLargura[10]=9.3;//
    $vetorIndice[11]=8;   $vetorLargura[11]=8.1;//
    $vetorIndice[12]=9;   $vetorLargura[12]=8.2;//
    $vetorIndice[13]=10;  $vetorLargura[13]=8.1;//
    $vetorIndice[14]=11;  $vetorLargura[14]=7.4;//
    $vetorIndice[15]=12;  $vetorLargura[15]=7.4;//
    $vetorIndice[16]=13;  $vetorLargura[16]=5.5;//
    $vetorIndice[17]=14;  $vetorLargura[17]=8.3;//
    $vetorIndice[18]=15;  $vetorLargura[18]=8.6;//
    $vetorIndice[19]=16;  $vetorLargura[19]=9.4;//
    $vetorIndice[20]=17;  $vetorLargura[20]=7.6;//
    $vetorIndice[21]=18;  $vetorLargura[21]=7.6;//
    $vetorIndice[22]=18;  $vetorLargura[22]=7.8;//
    $vetorIndice[23]=18;  $vetorLargura[23]=8.0;//
    $vetorIndice[24]=18;  $vetorLargura[24]=7.7;//
    $vetorIndice[25]=18;  $vetorLargura[25]=8.0;//
    $vetorIndice[26]=18;  $vetorLargura[26]=10.2;//
    $vetorIndice[27]=18;  $vetorLargura[27]=9.8;//


$limite=sizeof($vetorIndice);
$vetorCabecalho=$objetocalculo->dadoslaboratorio();

$pdf=new FPDF('L','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
		
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=17;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-21;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $pdf->AddPage();//adicionando a primera pafina 
			 $pdf->setFont("Arial","",7);
			 $vetorNormas=$objetocalculo->capturaNormas("Informe","Formato2015",$idLabo);
			 $posicaoNorma=250;
			 $pdf->Rect($posicaoNorma,5,40,15);
			 $pdf->setXY($posicaoNorma,5);  $pdf->Cell(40,4,utf8_decode("Formulário:".$vetorNormas[1]),0,0);
			 $pdf->setXY($posicaoNorma,9);  $pdf->Cell(40,4,utf8_decode("Revisão:".$vetorNormas[2]),0,0);
			 $pdf->setXY($posicaoNorma,13);  $pdf->Cell(40,4,utf8_decode("Data revisão:".$vetorNormas[3]),0,0);
             $pdf->SetFont('Times','',8);
			 
			 
			$vetorResultados[0][0]="Resultado das análises";
			$vetorResultados[1][0]="Número da Amostra";
			$vetorResultados[2][0]="Cultivar hibrido/especificações";
			$vetorResultados[3][0]="Lote";
			$vetorResultados[4][0]="Peneira";
			if(substr($cliente,0,12)=='LAS CONCEITO'):
	            $vetorResultados[4][0]="Peneira/Representatividade";
	        endif;
			$vetorResultados[5][0]="Semente Pura(%)";
			$vetorResultados[6][0]="Mat.Inerte(%)";
			$vetorResultados[7][0]="Outras Sementes(%)";
			$vetorResultados[8][0]="Sementes Silvestres(Nº)";
			$vetorResultados[9][0]="Sementes Outras Especies Cultivadas(Nº)";
			$vetorResultados[10][0]="Sementes Nocivas Toleradas(Nº)";
			$vetorResultados[11][0]="Sementes Nocivas Proibidas(Nº)";
			$vetorResultados[12][0]="Verificação de Outras Cultivares(Nº)";
			$vetorResultados[13][0]="Peso de Mil Sementes(g)";
			$vetorResultados[14][0]="Plântulas Normais(%)";
			$vetorResultados[15][0]="Plântulas Anormais(%)";
			$vetorResultados[16][0]="Sementes Mortas(%)";
			$vetorResultados[17][0]="Sementes Infecionadas(%)";
			$vetorResultados[18][0]="Sementes Dormentes(%)";
			$vetorResultados[19][0]="Sementes Duras(%)";
			$vetorResultados[20][0]="Classificação de vigor de plântulas(%)";
		    $vetorResultados[21][0]="Vigor Tetrazólio(%)";
			$vetorResultados[22][0]="Danos do tetrazólio(Classe 6 letal)";
			$vetorResultados[23][0]="Dano triplo no tetrazólio";//aqui vai a sigla da outra det
			$vetorResultados[24][0]="Teste de frio(%)";
			$vetorResultados[25][0]="Vigor por envelhecimento acelerado(%)";
			$vetorResultados[26][0]="Valor cultural(%)";
			$vetorResultados[27][0]="Sementes infestadas(%)";
			$vetorResultados[28][0]="GQD(Germinação c/quebra de dormência)(%)";
			$vetorResultados[29][0]="GBT(Germinação a baixa temperatura)(%)";
			if($cliente=='UFLA'):
     			$vetorResultados[28][0]="CAN(Teste em canteiro)(%)";
     			$vetorResultados[29][0]="DME(Dano Mecânico)(%)";
            endif;
			$vetorResultados[30][0]="DTU(Determinação de Umidade)(%)";
			$vetorResultados[31][0]="Procedência";
			 
			 

     //LINHAS LATERAIS DO CORPO DO DOCUMENTO
			 //cabecalho
			//captura dados do documento , o numero a especie o remetente etc
			$vetorDadosDocumento=$objetocalculo->dados_gerais_documento($idDoc);
	         $pdf->SetFont('Times','B',11);
			
			 $vetorLaboratorio=$objetocalculo->dadoslaboratorio();
			 $posicaoCab1=60;
			 //imprime o timbre
			 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
			 $pdf->Image($caminhoFinal,11,3,48,23,'JPG');
			 //imprime a imagem da palavra germinacao
			 $caminhoFinal="Imagens/germinacao.jpg";
			 $pdf->Image($caminhoFinal,$margemEsquerda+3,93,8.5,20.8,'JPG');
			 //imagem marca dagua qualiteste
			 if($cliente=='QUALITESTE'):
				 $caminhoFinal="ImagensClientes/dagua".$idLabo.".JPG";
				 $pdf->Image($caminhoFinal,$margemEsquerda+20,55,250,90,'JPG');		
             endif;			 
 			 
			 
			 //aqui cria uma linha fechando a geerminacao a esquerda 
			 $pdf->Line($margemEsquerda,90,$margemEsquerda,120);
			 
			 
			 
	         $pdf->SetFont('Times','B',9);
			 $cota1=3; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[0]),0,1,'C');//lab nome
			 $cota1=7; $pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[1]),0,1,'C');//lab nome
			 $cota1=11;$pdf->setXY($posicaoCab1,$cota1);	$pdf->Cell(140,5,utf8_decode($vetorLaboratorio[2]."  ". $vetorLaboratorio[3]),0,1,'C');//lab nome
			 $cota1=21; $pdf->setXY($margemEsquerda,$cota1);$pdf->Cell(270,5,utf8_decode("Este documento é um informativo de resultado para fins de conferência e não um boletim de análise de semente. Estando sujeito a sanções pessoa física ou jurídica que comete este" ),0,1,'L',1);//lab nome
             
			 $cota1=25;
			 $pdf->setXY($margemEsquerda,$cota1);$pdf->Cell(270,5,utf8_decode("ato. PROIBIDA E ILEGAL A COMERCIALIZAÇÃO deste lote com este documento segundo Art.84, $1º e $2º, do Decreto nº5.153, de 23.07.04." ),0,1,'L',1);//lab nome
			 $cota1=29;
			 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->Cell($larguraUtil,5,utf8_decode('INFORME Nº '.$vetorDadosDocumento[1]),0,1,'L');//lab nome             
			 
			 $cota1=34; 
			 
		     $pdf->SetFont('Times','',8);
			 $pdf->setXY($margemEsquerda,$cota1);
		     $pdf->Cell(120,$larguraDaLinha,'Requerente:'.utf8_decode($vetorDadosDocumento[0]).'('.$vetorDadosDocumento[39].')' ,0,0,'L');
		     $pdf->Cell(120,$larguraDaLinha,'Amostra recebida em:'. $vetorDadosDocumento[12],0,0,'L');
		     //$pdf->Cell(120,$larguraDaLinha,'Amostra recebida em:'. $vetorDadosDocumento[12].'  Analisada em:' .$vetorDadosDocumento[38] ,0,0,'L');
			 $pdf->setXY($margemEsquerda,$cota1+4);
		     $pdf->Cell(120,$larguraDaLinha,utf8_decode('Endereço:'.$vetorDadosDocumento[8]) ,0,0,'L');
		     $pdf->Cell(120,$larguraDaLinha,utf8_decode('Espécie: '.$vetorDadosDocumento[2]) ,0,0,'L');
			 $especiex=$vetorDadosDocumento[2];
			 $pdf->setXY($margemEsquerda,$cota1+8);
		     $pdf->Cell(120,$larguraDaLinha,utf8_decode('Município:'.$vetorDadosDocumento[35]) ,0,0,'L');

//captura o numero de registros e as id das amostras atraves da leitura da tabela documentosponte amarrada com a id do documento
//ENTRA DE QUAKQUER MANEIRA
//echo("3xxxxxxxxxxxxxxidDocumento= $idDoc<br>");

$genericaPonte=new tabelagenerica();
$genericaPonte->tabela="documentosponte";
$genericaPonte->campos_valores = array(
		"dpo_amostra_vinculada" => NULL,
	);
$genericaPonte->extras_select =" where  dpo_documento_autonumerador=".$idDoc." order by dpo_amostra_vinculada LIMIT 15";
//echo("eeeeexxxxxxxxxxxxxxxxxxxxxxxxxxeeeeeeerro $generica->extras_select <br>");
$genericaPonte->selecionaCampos($genericaPonte);
//echo("4xxxxxxxxxxxxxxidDocumento= $idDoc  contaAmostras =$contaAmostras $vetorDPO[1]<br>");
//vai pegar os dados da amopstra la na classe calculo pois ja tem a id da amostra
 //resultaso sao impressoas a partr da cota 3 car em cima da  linha divisoria muito grossa
 $alturaLinhaResultados=8;//define a largura das linhas de resultados
$contador=1;
$modalidadeArquivada=8;	
if($clienteReduzido=='TS L'):
   $pdf->SetFont('Arial','',10);
else:
   $pdf->SetFont('Arial','',6);
endif;   
$indiceVetorNomesContaminantes=0;//precisa ficar fora do while porque vai criar um vetor juntando os contaminantes
$contaAmostras=0;
$analisadaEm="";
$finalAnalise="";

while ($resgenericaPonte = $genericaPonte->retornaDados()):
    $contaAmostras++;
    $amostraLong=$resgenericaPonte->dpo_amostra_vinculada;
	$vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong);

    $vetorAmostraBruto=$objetocalculo->capturaGeralAmostra($amostraLong);//captura TUDO 
	$testesConcatenados="-".$vetorAmostraBruto[44];//coloquei um espaco antes para que a primeira posicao encontrada nao ficar valendo zero nunca

	$contaminanteAcumulado="Amostra:" .$vetorAmostraBruto[1];
	$iniciando="SIM";	
    //aqui vai achar o teste de tetrazolio 
	//aqui acha a viabilidade. sE FOR SOJA OU FEIJAO ele pega de uma forma e se na ofr entao subentende que é forrageira
    $viabilidadeFinal='-N-';
	$vigorFinal='-N-';
	
	if(substr($especiex,0,4)=='SOJA' || substr($especiex,0,4)=='FEIJ'):
        $tipo="SOJA";
        //echo("chanan,dp a clase especiex $especiex<br>");
        $matrizResumo=$objetocalculo->resumoTetrazolioCalculado($amostraLong);
	    //$matrizResumo=$objetocalculo->calculaTetrazolioSojaABC($amostraLong);
	    //ELE TRAZ NA VERDADE 4 LINHAS 0=CABECALHO  3=CONTEM O RESUMO dos resuultados
		$registrosRep1=$matrizResumo[1][19];
		$registrosRep2=$matrizResumo[2][19];
		//$vigorFinal=$matrizResumo[3][11];//nao deletar esta linha pois ajuda entender que pode pegar a viabilidae e o vigor desta forma
		$viabilidadeFinal=$matrizResumo[3][10];
	    //$vigorFinal=$objetocalculo->captura_OD_Especifica($amostraLong,'TZO');
	    $vigorFinal=$vetorRaioX[234];//TZO
		$i22=$matrizResumo[3][10];	
        $i23=$matrizResumo[3][11];	
	else:
       $tipo="FORRAGEIRA";
       //aqui trabalha se for forrageiras
	   $viabilidadeFinal=$objetocalculo->calculaTetrazolioForrageira($amostraLong,$modalidadeArquivada);//viabilidae forrageira
	   //$viabilidadeFinal='34';
	   $vigorFinal='-O-';
	   $i22=$viabilidadeFinal;	
       $i23=$vigorFinal;	
	endif;//testa se é soja ou forrageira pois se for forrageira a viabilidade é tomada de forma diferente
	
	$vetorResultados[1][$contaAmostras]=$vetorAmostraBruto[1].'/'.substr($vetorAmostraBruto[36],0,4);//amostra
	$vetorResultados[2][$contaAmostras]=substr($vetorAmostraBruto[31],0,20);//cultivar
	$vetorResultados[3][$contaAmostras]=$vetorAmostraBruto[2];//lote
	$vetorResultados[4][$contaAmostras]=$vetorAmostraBruto[35];//peneira
	if(substr($cliente,0,12)=='LAS CONCEITO'):
	   $vetorResultados[4][$contaAmostras]=$vetorAmostraBruto[35].' ['.$vetorAmostraBruto[90].']';//peneira/representatividade
	endif;
	
	
	
	$vetorResultados[5][$contaAmostras]=$vetorAmostraBruto[4];//puras
	$vetorResultados[6][$contaAmostras]=$vetorAmostraBruto[17];//material inerte
	$vetorResultados[7][$contaAmostras]=$vetorAmostraBruto[18];//outras sementes
	$vetorResultados[8][$contaAmostras]=$vetorAmostraBruto[8];//sementes silvestres
	$vetorResultados[9][$contaAmostras]=$vetorAmostraBruto[7];//outras especies cultivada
	$vetorResultados[10][$contaAmostras]=$vetorAmostraBruto[9];//toleradas
	$vetorResultados[11][$contaAmostras]=$vetorAmostraBruto[10];//proibidas
	$vetorResultados[12][$contaAmostras]=$vetorAmostraBruto[15];//outras cultivares
	$vetorResultados[13][$contaAmostras]=$vetorAmostraBruto[38];//peso de mil sementes
	//SETOR GERMINACAO
	$vetorResultados[14][$contaAmostras]=$vetorAmostraBruto[3];//plantulas normais
	$vetorResultados[15][$contaAmostras]=$vetorAmostraBruto[11];//plantulas anormais
	$vetorResultados[16][$contaAmostras]=$vetorAmostraBruto[14];//sementes mortas
    if($analisadaEm=="")$analisadaEm=$vetorAmostraBruto[75];
	if($finalAnalise=="")$finalAnalise=$vetorAmostraBruto[52];

	$vetorResultados[17][$contaAmostras]=$vetorAmostraBruto[40];//sementes infecionadas
	$vetorResultados[18][$contaAmostras]=$vetorAmostraBruto[13];//sementes dormentes
	$vetorResultados[19][$contaAmostras]=$vetorAmostraBruto[12];//sementes duras
	$vetorResultados[20][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'CLV');//CLASSIFICCCAO DE VIGOR DE PALNTULAS
	//$vetorResultados[20][$contaAmostras]=$vetorRaioX[16];//CLASSIFICCCAO DE VIGOR DE PALNTULAS
	//PEGA AS OUTRAS DETERMINACOES 
	
	$vetorResultados[24][$contaAmostras]=$vetorAmostraBruto[41];//teste de frio
	//$vetorResultados[25][$contaAmostras]=$vetorAmostraBruto[39]."T=".$vetorRaioX[25]."ºC";//envelhecimento acelerado
	$temperaturaEAC="T=".$vetorRaioX[68]."ºC";
	$vetorResultados[25][$contaAmostras]=$vetorAmostraBruto[39];//envelhecimento acelerado
	/////////////CARCULA O VALOR CULTURAL so se for forrageira primeiro precia achar o grupo/////////////////
	//$vetorResultados[26][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'VLC');//VALOR CULTURAL
	$vetorResultados[26][$contaAmostras]=$vetorRaioX[256];//VALOR CULTURAL
    //$vetorResultados[27][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'INF');;//teste sementes infestdas
    $vetorResultados[27][$contaAmostras]=$vetorRaioX[18];//teste sementes infestdas
    //$vetorResultados[28][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'GQD');;//GERMINACAO com quebra de dormencia
    $vetorResultados[28][$contaAmostras]=$vetorRaioX[229];//GERMINACAO com quebra de dormencia
    //$vetorResultados[29][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'GBT');;//GERMINACAO a baixa temperatura
    $vetorResultados[29][$contaAmostras]=$vetorRaioX[230];//GERMINACAO a baixa temperatura
	if($cliente=='UFLA'):
	    //$vetorResultados[28][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'CAN');;//CANTEIRO UFLA
	    $vetorResultados[28][$contaAmostras]=$vetorRaioX[231];//CANTEIRO UFLA
	    //$vetorResultados[29][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'DME');;//DANO MECANICO UFLA
	    $vetorResultados[29][$contaAmostras]=$vetorRaioX[232];//DANO MECANICO UFLA
	endif;
	
    //$vetorResultados[30][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'DTU');;//DETERMINACAO DE UMIDADE
    $vetorResultados[30][$contaAmostras]=$vetorRaioX[20];//DETERMINACAO DE UMIDADE
    $vetorResultados[31][$contaAmostras]=substr($vetorAmostraBruto[58],0,18);//procedencia
	//captura o concatenado peneira para colocar depois de material inerte
	$concatenadoPeneira=$vetorRaioX[257];
    if(strlen($concatenadoPeneira)>1) $concatenadoPeneiraInforme=$concatenadoPeneira;



    //aqui acha a viabilidade. sE FOR SOJA OU FEIJAO ele pega de uma forma e se na ofr entao subentende que é forrageira
	$i22=$viabilidadeFinal;if($i22=="")$i22='-N-';
	//$pdf->Cell($vetorLargura[22],5,$i22,1,0,'C');//viabilidade
	//vigor
	if($vigorFinal=="" || $vigorFinal=="-N-"):
	    $i23='-N-';
        $fezTetrazolio="nao";
	else:      
        $fezTetrazolio="sim";
    	$i23=$vigorFinal;
	endif;
	//$vetorResultados[21][$contaAmostras]=$i23;//vigor em soja e feijao
	//aqui imprime 0 se existe o teste de vigor e se nao foi achado nada de p,m.u, ou d	
    //aqui atribui o valor trazido la do calculos, que pode ser uma valor numerico
    $i24=$matrizResumo[3][12];
    $i25=$matrizResumo[3][6];
    $i26=$matrizResumo[3][3];
    $i27=$matrizResumo[3][9];
    //aqui vai atribuir n ou zero caso o valor for   em branco e tiver feito ou nao o teste
	if($fezTetrazolio=="nao"):
    	if($matrizResumo[3][12]=="")$i24='-N-';//duras
    	if($matrizResumo[3][6]=="")$i25='-N-';//mecanico
    	if($matrizResumo[3][3]=="")$i26='-N-';//percevejo
    	if($matrizResumo[3][9]=="")$i27='-N-';//umidad
	endif;	
		//se fez tetrazolio
	if($fezTetrazolio=="sim"):
    	if($matrizResumo[3][12]=="")$i24='0';//duras
    	if($matrizResumo[3][6]=="")$i25='0';//mecanico
    	if($matrizResumo[3][3]=="")$i26='0';//percevejo
    	if($matrizResumo[3][9]=="")$i27='0';//umidad
	endif;//aqui testa se fez tetrazolio
	//$i24=strlen($vigorFinal);
	//$i24=$vigorFinal;
	
	//aqui imprime os resultados
    //caso ele digotou danos a $registrosTabelaTetrazolioTotal sera >0 e caso contrario   vai tentar pegar da rean
	//if($registrosTabelaTetrazolioTotal>2):
	//	$vetorResultados[22][$contaAmostras]="D=".$i24." M=".$i25;
	//	$vetorResultados[23][$contaAmostras]="U=".$i27." P=".$i26;
	//	$contador++;//este contador so serve para ele nao reimprimir o titulo das colunas 
    //else:
		
	//$vigorPrimeiraContagem=$objetocalculo->captura_OD_Especifica($amostraLong,'CLV');
    //$vetorResultados[21][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'TZO');
    //qualiteste teve problema no campo danos mup
    
    //$valorMup=$objetocalculo->captura_OD_Especifica($amostraLong,'MUP');
    $valorMup=$vetorRaioX[233];
	$vetorResultados[22][$contaAmostras]='M/U/P='.$valorMup;


    //$vetorResultados[23][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'TRI');
    $vetorResultados[23][$contaAmostras]=$vetorRaioX[19];//TRI

	//endif;
	//$vetorResultados[21][$contaAmostras]=$objetocalculo->captura_OD_Especifica($amostraLong,'TZO');//
	$vetorResultados[21][$contaAmostras]=$vetorRaioX[234];//TZO
	
	//setor contaminantes identico ao boletim
	//$base[$indiceVetorNomesContaminantes][1]="Outras sementes:";	
	//$indiceVetorNomesContaminantes=1;
	//so entra se tiver sislvestre
    $somaOE=$vetorAmostraBruto[7];//
    $somaSI=$vetorAmostraBruto[8];//
    $somaTO=$vetorAmostraBruto[9];//
    $somaPR=$vetorAmostraBruto[10];//
	$conteudoBasico="Amostra Nº ".$vetorAmostraBruto[1]." : ";
	$limiteAcumulado=50;//este limite acumulado era 70 ate 140819 mas qualiteste pediu para estreitar a coluna de outras especies
	if($somaOE>0):
		 //ENTRA SO SE TIVER SILV
		 //ENTRA DE QUAKQUER MANEIRA
	     $generica=new tabelagenerica();
         $generica->tabela="contaminantes,invasoras";
		 $generica->campos_valores = array(
				"inv_qtd" => NULL,
				"con_nome_cientifico" => NULL,
			);
	     $generica->extras_select =" where con_id=inv_cod_praga && inv_codigo='1OES' && inv_amostra=".$amostraLong;
	     $generica->selecionaCampos($generica);
	     while ($resgenerica = $generica->retornaDados()):
	         $conteudo="";	 
	    	 $conteudo=$resgenerica->con_nome_cientifico."(".$resgenerica->inv_qtd.")";
 			 $contaminanteAcumulado=$contaminanteAcumulado.$conteudo;
			 if($iniciando=="SIM"):
                 $iniciando="NAO"; 
			 else:	//se ja tem alguma coisa 
                 //pergunta se o tamanhao<50 
				 if(strlen($contaminanteAcumulado)>$limiteAcumulado)://era to ate 140819
					 $indiceVetorNomesContaminantes++;
			         $base[$indiceVetorNomesContaminantes][1]=$contaminanteAcumulado;	 
					 $contaminanteAcumulado="";
				 endif;
			 endif;
			 // echo("conteudo $conteudo<br>"); 
		 endwhile;

	endif;


	if($somaSI>0):
		 //ENTRA SO SE TIVER SILV
		 //ENTRA DE QUAKQUER MANEIRA
	     $generica=new tabelagenerica();
         $generica->tabela="contaminantes,invasoras";
		 $generica->campos_valores = array(
				"inv_qtd" => NULL,
				"con_nome_cientifico" => NULL,
			);
	     $generica->extras_select =" where con_id=inv_cod_praga && inv_codigo='2SIL' && inv_amostra=".$amostraLong;
	     $generica->selecionaCampos($generica);
	     while ($resgenerica = $generica->retornaDados()):
	         $conteudo="";	 
	    	 $conteudo=$resgenerica->con_nome_cientifico."(".$resgenerica->inv_qtd.")";
 			 $contaminanteAcumulado=$contaminanteAcumulado.$conteudo;
			 if($iniciando=="SIM"):
                 $iniciando="NAO"; 
			 else:	//se ja tem alguma coisa 
                 //pergunta se o tamanhao<50 
				 if(strlen($contaminanteAcumulado)>$limiteAcumulado):
					 $indiceVetorNomesContaminantes++;
			         $base[$indiceVetorNomesContaminantes][1]=$contaminanteAcumulado;	 
					 $contaminanteAcumulado="";
				 endif;
			 endif;
		 endwhile;
	endif;

	if($somaTO>0):
		 //ENTRA SO SE TIVER SILV
		 //ENTRA DE QUAKQUER MANEIRA
	     $generica=new tabelagenerica();
         $generica->tabela="contaminantes,invasoras";
		 $generica->campos_valores = array(
				"inv_qtd" => NULL,
				"con_nome_cientifico" => NULL,
			);
	     $generica->extras_select =" where con_id=inv_cod_praga && inv_codigo='3NOT' && inv_amostra=".$amostraLong;
	     $generica->selecionaCampos($generica);
	     while ($resgenerica = $generica->retornaDados()):
	         $conteudo="";	 
	    	 $conteudo=$resgenerica->con_nome_cientifico."(".$resgenerica->inv_qtd.")";
 			 $contaminanteAcumulado=$contaminanteAcumulado.$conteudo;
			 if($iniciando=="SIM"):
                 $iniciando="NAO"; 
			 else:	//se ja tem alguma coisa 
                 //pergunta se o tamanhao<50 
				 if(strlen($contaminanteAcumulado)>$limiteAcumulado):
					 $indiceVetorNomesContaminantes++;
			         $base[$indiceVetorNomesContaminantes][1]=$contaminanteAcumulado;	 
					 $contaminanteAcumulado="";
				 endif;
			 endif;
		 endwhile;
	endif;
	 
	if($somaPR>0):
		 //ENTRA SO SE TIVER SILV
		 //ENTRA DE QUAKQUER MANEIRA
	     $generica=new tabelagenerica();
         $generica->tabela="contaminantes,invasoras";
		 $generica->campos_valores = array(
				"inv_qtd" => NULL,
				"con_nome_cientifico" => NULL,
			);
	     $generica->extras_select =" where con_id=inv_cod_praga && inv_codigo='4NOP' && inv_amostra=".$amostraLong;
	     $generica->selecionaCampos($generica);
		 $joga3=0;
	     while ($resgenerica = $generica->retornaDados()):
	         $conteudo="";	 
	    	 $conteudo=$resgenerica->con_nome_cientifico."(".$resgenerica->inv_qtd.")";
 			 $contaminanteAcumulado=$contaminanteAcumulado.$conteudo;
			 if($iniciando=="SIM"):
                 $iniciando="NAO"; 
			 else:	//se ja tem alguma coisa 
                 //pergunta se o tamanhao<50 
				 if(strlen($contaminanteAcumulado)>$limiteAcumulado):
					 $indiceVetorNomesContaminantes++;
			         $base[$indiceVetorNomesContaminantes][1]=$contaminanteAcumulado;	 
					 $contaminanteAcumulado="";
				 endif;
			 endif;
		 endwhile;
	endif;
//final dos  contaminantes	 
	///$indiceVetorNomesContaminantes++;
	//$base[$indiceVetorNomesContaminantes][1]="-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O-O";	
if(strlen($contaminanteAcumulado)>0 && $iniciando=="NAO"):
	 $indiceVetorNomesContaminantes++;
     $base[$indiceVetorNomesContaminantes][1]=$contaminanteAcumulado;	 
endif;	

	
	
	
endwhile;//FINAL DO ENDWILE QUE ACHA A ID DENTRO DO DOCUMENTOSPONTE

//////////////////////////////////
//aqui imprime a data da analise pois ele tem esta data da ultima amostra do informe
 $pdf->setXY($margemEsquerda+170,$cota1);
 $pdf->Cell(40,$larguraDaLinha,'  Analise Inicio:' .$analisadaEm. ' Final:'. $finalAnalise ,0,0,'L');
/////////////////////////////////




$cota3=40;

///////////////////VAI IMPRIMIR O INFORME 2015///////////////////////////
	 //resultaso sao impressoas a partr da cota 3
	 $pdf->SetFont('Times','',8);
	 $cotaLinha=$cota3;//define o começo da impressao de resultados , apenas para naoa ficar em cima da  linha divisoria muito grossa
	 $alturaLinhaResultados=3.7;//define a largura das linhas de resultados era 4
 
     for($L=1;$L<=31;$L++)
	 {
	     $cotaLinha+=$alturaLinhaResultados;
		 $pdf->setXY($margemEsquerda,$cotaLinha);
	     $alinhamento="L";
    	 for($i=0;$i<=7;$i++)
		 {
  	      	 $larguraColuna=65;//largura normal dos identificadors
    	     if($L>=14 && $L<=19 && $i==0):
			    
			    $pdf->setXY($margemEsquerda+16,$cotaLinha);
   	      	    $larguraColuna=49;//largura dos ientificadores derrapados 65-15=50
			 endif;
        	 if($i>0)
			 {
 			     $larguraColuna=29.8;//so a primeira coluna é mais larga
			     $alinhamento="C"; //so a primeira coluna é alinhada a esquerda
			 }
			 //$caminhoFinal="";
  	         $pdf->SetFont('Times','',8);
			 if($L==14 || $L==21  || $L==25)://ASSIM FAZI APARECER NEGRITOS NALGUNS CAMPOS
  	            if($i>=1)$pdf->SetFont('Times','B',12);
			 endif;
			 //$negritado="B";
             //$texto=substr($vetorResultados[$L][$i],0,3);
             //if($texto=='-N-' || $texto=='-O-'  || $texto=='-0-' )$negritado="";
             //if($i>=1):
			 //   $tama=12;
             //   if($L==2  || $L==3  || $L==22)$tama=10;//pequena reducao do tamanho da letra senao nao cabe mup,lote,cultivar
			 //   $pdf->SetFont('Times',$negritado,$tama);//imprime a linha de normais em negrito
			 //endif;
			 $pdf->Cell($larguraColuna,$alturaLinhaResultados,utf8_decode($vetorResultados[$L][$i]),1,0,$alinhamento);
		 }
	 }
	 
	 //imprime Material inerte na fresta
$cotaMI=158;//era 157
$pdf->setXY($margemEsquerda,$cotaMI);
$pdf->Cell($larguraColuna,$alturaLinhaResultados,'Material Inerte:' .utf8_decode($vetorAmostraBruto[62]),0,0,L);
//aqui vai imprimir o concatenado ppeneira que esta no campo rea_100, se ele existir
if(strlen($concatenadoPeneiraInforme)>1):
	$cotaMI=162;//era 157
	$pdf->setXY($margemEsquerda,$cotaMI);
	$pdf->Cell($larguraColuna,$alturaLinhaResultados,utf8_decode('Peneira:' .$concatenadoPeneiraInforme),0,0,L);
endif;

////////////final da impressao 







//terminou de imprimir resultados



	 //terminou de imprimir resultado agora vAi para  CONTAMINANTES observacoes tecico e assinatura
     $cota4=147;//ERA 142

    #########3 ULTIMAS CAIXAS################################################
     //conteudos
     //daque pra frente fica defnicido pela penultima cota que é a cota 7	 
	 $base[1][2]="Observações:";
	 $base[2][2]=$vetorDadosDocumento[19];
	 $base[3][2]=$vetorDadosDocumento[20];
	 $base[4][2]=$vetorDadosDocumento[21];
	 $base[5][2]=$vetorDadosDocumento[22];
	 $base[6][2]=$vetorDadosDocumento[23];
	 $base[7][2]=$vetorDadosDocumento[24];
	 $base[8][2]=$vetorDadosDocumento[25];
	 $base[9][2]=$vetorDadosDocumento[26];
	 //verifica qual a ultima linha que tem dados
	 
     for($m=1;$m<=9;$m++):
	    $conteudox=$base[$m][2];
		if(strlen($conteudox)<2):
           $contaLinhasConteudo=$m-1;//pega o numero da ultima linha ocupada
           break;
		endif;   			 
	 endfor;
     
	 /*
	 				 $nomeDelRemetiente=$vetorAmostraBruto[42];//captura o nome que pode ser longo ou curto
				 //$nomeDelRemetiente="COOPERATIVA DOS PRODUTORES DE ALFACE E RUCULA DE GOIAS LTDA";
                 //ve onde tem escpaco antes da 42 letra				 
				 $tama=strlen($nomeDelRemetiente);//mede o tamanho do nome
				 $nombreFinal=$nomeDelRemetiente;//pega o nome final igual ao capturado caso o nome nao seja grande 
				 $posicaoCorte=44;//se for caixa alta entao é so 30
				 if($tama>$posicaoCorte):
				     $tama=$posicaoCorte;
	                 for($ii=1;$ii<=$tama;$ii++):
	                    if(substr($nomeDelRemetiente,$ii,1)==" ")$posicaoIntervalo=$ii; 
	                 endfor;  				 
				     $nombreFinal=substr($nomeDelRemetiente,0,$posicaoIntervalo);
                 endif;
				 $pdf->setXY($posicaox,$yInicial+5); $pdf->Cell($largura,5,utf8_decode('Requerente:'.$nombreFinal),0,1,'L');//natureza

	 
	 
	 */
	 
	 
	 
	 
	 
	 
	 $descricao=$base[3][2];
	 ?>
	 <textarea  name="taname" id="taid" cols="35" rows="10" wrap="soft"><?php  echo $descricaoff;	?>   </textarea>
     <?php
	 

	 
	 
	 //$base[2][2]='xxxxxxxx';
	 //aqui joga na primeira linha vaga o teste envelhecimento solictado na tela de testes a realizar
     //$fraseC=$testesConcatenados;//perfeito
	 //so que o cliente pode assinalar gpe e uma opcao de ea entao precisa servir para os dois casos
     
	 if(strpos($testesConcatenados,'E24')>0):
	    $contaLinhasConteudo++;
		$base[$contaLinhasConteudo][2]='Vigor por envelhecimento acelerado 24H.'.$temperaturaEAC;	
	 endif;	 
	 if(strpos($testesConcatenados,'E36')>0):
	    $contaLinhasConteudo++;
		$base[$contaLinhasConteudo][2]='Vigor por envelhecimento acelerado 36H.'.$temperaturaEAC;	
	 endif;	 
	 if(strpos($testesConcatenados,'E48')>0):
	    $xeque="entroeu48";
	    $contaLinhasConteudo++;
		$base[$contaLinhasConteudo][2]='Vigor por envelhecimento acelerado 48H.'.$temperaturaEAC;	
	 endif;	 
	 if(strpos($testesConcatenados,'E72')>0):
	    $contaLinhasConteudo++;
		$base[$contaLinhasConteudo][2]='Vigor por envelhecimento acelerado 72H.'.$temperaturaEAC;	
	 endif;	 
	 if(strpos($testesConcatenados,'E96')>0):
	    $contaLinhasConteudo++;
		$base[$contaLinhasConteudo][2]='Vigor por envelhecimento acelerado 96H.'.$temperaturaEAC;	
	 endif;	 
     
	 if(strpos($testesConcatenados,'GPE')>0):
	    $contaLinhasConteudo++;
		//$base[$contaLinhasConteudo][2]='Germinação realizada c/pré-condicionamento das sementes em gerbox c/40 ml de água, 25C/16-24 hs.';	
		$base[$contaLinhasConteudo][2]='Pré condicionamento das sementes- MÉTODO: Pré-umedecimento em gerbox com 40 ml de água,25°C/16-24h.';	
	 endif;	 

	 if(strpos($testesConcatenados,'TRA')>0):
	    $contaLinhasConteudo++;
		$base[$contaLinhasConteudo][2]='Testes realizados em sementes tratadas.';	
	 endif;	 


     
	 //se alguem assinalou algo na tela de gestao de relatorios 
     $textoGestao=$sessao->getVar('controle5');
	 if(strlen($textoGestao)>0):
	    $contaLinhasConteudo++;
		$base[$contaLinhasConteudo][2]=$textoGestao;	
	 endif;
	 
     $textoGestao=$sessao->getVar('controle6');
	 if(strlen($textoGestao)>0):
	    $contaLinhasConteudo++;
		$base[$contaLinhasConteudo][2]=$textoGestao;	
	 endif;
	 
	 
     //ja cria a linha de encerramento com -O-
	 //$contaLinhasConteudo++;
	 //$base[$contaLinhasConteudo][2]='-o-o-';//.$nogpe.$testesConcatenados;



     //NOTAS ,DATA E responsavel tecnico
	 $base[1][3]="NOTAS:A presente análise tem seu valor restrito à amostra";
	 $base[2][3]="entregue ao laboratório.";
	 $base[3][3]="2-A identificação da amostra é de exclusiva responsabilidade" ;
	 $base[4][3]="do remetente.";
	 $base[5][3]="3-Métodos de análise segundo as RAS em vigor ou outro";
	 $base[6][3]="informado no campo observações.";
     $base[7][3]=$vetorCabecalho[6].", ".$vetorDadosDocumento[27];//local e data
	 $base[8][3]="";

	 //captura o rt
	 $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
     $idTecnico=$vetorTecnico[5];
	 $assinaturaAtivada=$vetorTecnico[4];
     if($nivel=='PRODUTOR') $assinaturaAtivada='SIM';	 
	 if($assinaturaAtivada=='SIM'):
		 $caminhoFinalTecnico="ImagensClientes/a".$idTecnico.".JPG";
		 $pdf->Image($caminhoFinalTecnico,229,176,61,14,'JPG');
     endif;

	$base[11][3]=$vetorTecnico[1];//nome do rt
    $base[12][3]="RENASEM:".$vetorTecnico[3]."  CREA:".$vetorTecnico[2];	
    $base[13][3]=$vetorTecnico[7];  //cargo responsavel tecnico substituto etc

	 $largo[1]=80;//era 100
	 $largo[2]=130;//era 110
	 $largo[3]=65;
	 $pdf->SetXY(10,$cota7);
	 $positron[1]=10;
	 $larguraDaLinha=4.0;//era 4
     $posicao1=$margemEsquerda;
	 $posicao2=$posicao1+$largo[1];
	 $posicao3=$posicao2+$largo[2];

//TERMINOU DE CRIAR OS CONTEUDOS ENTAO AGORA IMPRIME TODO O SETOR FINAL DAS 3 CAISXA E AS LINHAS VERTICAIS E HORIZONTAIS
	 $cota7=167;//era 162
 	 $pdf->Line($posicao3,$cota7,$posicao3,$cota8);//linha separadora
	 $pdf->Line($posicao2,$cota7,$posicao2,$cota8);//linha separadora
     $alturaBoxInferior=33; //era 38


	 $pdf->Rect($margemEsquerda,$cota7,$larguraUtil-2,$alturaBoxInferior);//sintaxe do rect  (x,y,largura,altura)
	 $pdf->SetXY(10,$cota7);
	 
	 
	 //imprime as contaminamates///////////////////////////////
	 $cotaLinha=$cota7;
	 $pdf->SetXY($posicao1,$cotaLinha);
     $pdf->Cell($largo[1],$larguraDaLinha,"Outras sementes;",0,0,'L');	
     $cotaLinha+=4;
	 $pdf->SetFont('Times','I',7);

     for($L=1;$L<=10;$L++):
		 $pdf->SetXY($posicao1,$cotaLinha);
         //se nao tem nada numa linha, significa que encerrou entao imprime -o-o- para finalizar
	     if($base[$L][1]!=""):
		      $pdf->Cell($largo[1],$larguraDaLinha,utf8_decode($base[$L][1]),0,0,'L');	
		 else:
		      $pdf->Cell($largo[1],$larguraDaLinha,'-o-o-',0,0,'L');	
			  break;
		 endif; 	  
	     $cotaLinha+=$larguraDaLinha;
     endfor;	 


	 /*/imprime observacoes//////////////////////////////////////////////////////////////
	 $cotaLinha=$cota7;
	 $pdf->SetFont('Times','B',10);//ate 28.11.19 era sem negrito e caixa 7
     for($L=1;$L<=8;$L++)
	 {
		 $pdf->SetXY($posicao2,$cotaLinha);
		 $pdf->Cell($largo[1],$larguraDaLinha,utf8_decode($base[$L][2]),0,0,'L');	
	     $cotaLinha+=$larguraDaLinha;
     }	 
     */
	 //imprime observacoes//////////////////////////////////////////////////////////////
	 $cotaLinha=$cota7;
	 $pdf->SetFont('Times','B',10);//ate 28.11.19 era sem negrito e caixa 7
	 $pdf->SetXY($posicao2,$cotaLinha);
	 $pdf->Cell($largo[1],$larguraDaLinha,utf8_decode($base[1][2]),0,0,'L');	
     $texto=$base[2][2].$base[3][2].$base[4][2].$base[5][2].$base[6][2].$base[7][2].$base[8][2];
     //$pdf->MultiCell(50,5,utf8_decode($texto),0,'J');
	 $pdf->SetXY($posicao2,$cotaLinha+5);
     $pdf-> MultiCell(130, 5, utf8_decode($texto),0,'L', false);
	 //$pdf->Ln();
	 $pdf->Cell(100,5,"                                                                                                         -O-O-O-O-",0,0,'L');	




	 //imprime notas e assinatura
	 $cotaLinha=$cota7;
	 $pdf->SetXY($posicao3,$cotaLinha);
	 //da linha 1 até linha 6 coloca fonte menor
	 $pdf->SetFont('Times','',6);
     for($L=1;$L<=5;$L++)
	 {
		 $pdf->SetXY($posicao3,$cotaLinha);
		 $pdf->Cell($largo[3],2,utf8_decode($base[$L][3]),0,0,'L');	
	     $cotaLinha+=2;
     }	 
	 $pdf->SetFont('Times','',7);

     for($L=7;$L<=13;$L++)
	 {
		 $pdf->SetXY($posicao3,$cotaLinha);
		 $pdf->Cell($largo[3],4,utf8_decode($base[$L][3]),0,0,'C');	
	     $cotaLinha+=3;
     }	 


     $pdf->setXY(20,194);
	 //$total=595.28*193/184;
	 //$pdf->Cell(50,5,$total,0,1,'L');
     //coloca  as 3 linhas separadoras verticais 
	 $posicao1=$largo[1]+$margemEsquerda;
	 $posicao2=$posicao1+$largo[2];
	 //vai imprimir numero de via
	 //$pdf->SetFont('Times','B',8);
	 //$pdf->SetXY(271,$cota8);//era -10//
     //$pdf->Cell(20,$larguraDaLinha,$pdf->vetorCabecalho[17],1,1,R);	


ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
